Adding upstream version 0.1+svn20081206.
[debian/lxsession-edit.git] / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkglibdir = $(libdir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 subdir = .
34 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
35 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
36 $(srcdir)/lxsession-edit.desktop.in $(top_srcdir)/configure \
37 AUTHORS COPYING ChangeLog INSTALL NEWS compile depcomp \
38 install-sh missing mkinstalldirs
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/configure.in
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42 $(ACLOCAL_M4)
43 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
46 CONFIG_HEADER = config.h
47 CONFIG_CLEAN_FILES = lxsession-edit.desktop
48 SOURCES =
49 DIST_SOURCES =
50 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51 html-recursive info-recursive install-data-recursive \
52 install-dvi-recursive install-exec-recursive \
53 install-html-recursive install-info-recursive \
54 install-pdf-recursive install-ps-recursive install-recursive \
55 installcheck-recursive installdirs-recursive pdf-recursive \
56 ps-recursive uninstall-recursive
57 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
58 am__vpath_adj = case $$p in \
59 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
60 *) f=$$p;; \
61 esac;
62 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
63 am__installdirs = "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(uidir)"
64 desktopDATA_INSTALL = $(INSTALL_DATA)
65 uiDATA_INSTALL = $(INSTALL_DATA)
66 DATA = $(desktop_DATA) $(ui_DATA)
67 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
68 distclean-recursive maintainer-clean-recursive
69 ETAGS = etags
70 CTAGS = ctags
71 DIST_SUBDIRS = $(SUBDIRS)
72 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
73 distdir = $(PACKAGE)-$(VERSION)
74 top_distdir = $(distdir)
75 am__remove_distdir = \
76 { test ! -d $(distdir) \
77 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
78 && rm -fr $(distdir); }; }
79 DIST_ARCHIVES = $(distdir).tar.gz
80 GZIP_ENV = --best
81 distuninstallcheck_listfiles = find . -type f -print
82 distcleancheck_listfiles = find . -type f -print
83 ACLOCAL = @ACLOCAL@
84 AMTAR = @AMTAR@
85 AUTOCONF = @AUTOCONF@
86 AUTOHEADER = @AUTOHEADER@
87 AUTOMAKE = @AUTOMAKE@
88 AWK = @AWK@
89 CATALOGS = @CATALOGS@
90 CATOBJEXT = @CATOBJEXT@
91 CC = @CC@
92 CCDEPMODE = @CCDEPMODE@
93 CFLAGS = @CFLAGS@
94 CPP = @CPP@
95 CPPFLAGS = @CPPFLAGS@
96 CYGPATH_W = @CYGPATH_W@
97 DATADIRNAME = @DATADIRNAME@
98 DEFS = @DEFS@
99 DEPDIR = @DEPDIR@
100 ECHO_C = @ECHO_C@
101 ECHO_N = @ECHO_N@
102 ECHO_T = @ECHO_T@
103 EGREP = @EGREP@
104 EXEEXT = @EXEEXT@
105 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
106 GMOFILES = @GMOFILES@
107 GMSGFMT = @GMSGFMT@
108 GREP = @GREP@
109 GTK_BUILDER_CONVERT = @GTK_BUILDER_CONVERT@
110 GTK_CFLAGS = @GTK_CFLAGS@
111 GTK_LIBS = @GTK_LIBS@
112 INSTALL = @INSTALL@
113 INSTALL_DATA = @INSTALL_DATA@
114 INSTALL_PROGRAM = @INSTALL_PROGRAM@
115 INSTALL_SCRIPT = @INSTALL_SCRIPT@
116 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
117 INSTOBJEXT = @INSTOBJEXT@
118 INTLLIBS = @INTLLIBS@
119 LDFLAGS = @LDFLAGS@
120 LIBOBJS = @LIBOBJS@
121 LIBS = @LIBS@
122 LTLIBOBJS = @LTLIBOBJS@
123 MAINT = @MAINT@
124 MAKEINFO = @MAKEINFO@
125 MKDIR_P = @MKDIR_P@
126 MKINSTALLDIRS = @MKINSTALLDIRS@
127 MSGFMT = @MSGFMT@
128 MSGFMT_OPTS = @MSGFMT_OPTS@
129 OBJEXT = @OBJEXT@
130 PACKAGE = @PACKAGE@
131 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
132 PACKAGE_NAME = @PACKAGE_NAME@
133 PACKAGE_STRING = @PACKAGE_STRING@
134 PACKAGE_TARNAME = @PACKAGE_TARNAME@
135 PACKAGE_VERSION = @PACKAGE_VERSION@
136 PATH_SEPARATOR = @PATH_SEPARATOR@
137 PKG_CONFIG = @PKG_CONFIG@
138 POFILES = @POFILES@
139 POSUB = @POSUB@
140 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
141 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
142 SET_MAKE = @SET_MAKE@
143 SHELL = @SHELL@
144 STRIP = @STRIP@
145 USE_NLS = @USE_NLS@
146 VERSION = @VERSION@
147 XGETTEXT = @XGETTEXT@
148 abs_builddir = @abs_builddir@
149 abs_srcdir = @abs_srcdir@
150 abs_top_builddir = @abs_top_builddir@
151 abs_top_srcdir = @abs_top_srcdir@
152 ac_ct_CC = @ac_ct_CC@
153 am__include = @am__include@
154 am__leading_dot = @am__leading_dot@
155 am__quote = @am__quote@
156 am__tar = @am__tar@
157 am__untar = @am__untar@
158 bindir = @bindir@
159 build_alias = @build_alias@
160 builddir = @builddir@
161 datadir = @datadir@
162 datarootdir = @datarootdir@
163 docdir = @docdir@
164 dvidir = @dvidir@
165 exec_prefix = @exec_prefix@
166 host_alias = @host_alias@
167 htmldir = @htmldir@
168 includedir = @includedir@
169 infodir = @infodir@
170 install_sh = @install_sh@
171 libdir = @libdir@
172 libexecdir = @libexecdir@
173 localedir = @localedir@
174 localstatedir = @localstatedir@
175 mandir = @mandir@
176 mkdir_p = @mkdir_p@
177 oldincludedir = @oldincludedir@
178 pdfdir = @pdfdir@
179 prefix = @prefix@
180 program_transform_name = @program_transform_name@
181 psdir = @psdir@
182 sbindir = @sbindir@
183 sharedstatedir = @sharedstatedir@
184 srcdir = @srcdir@
185 sysconfdir = @sysconfdir@
186 target_alias = @target_alias@
187 top_builddir = @top_builddir@
188 top_srcdir = @top_srcdir@
189 SUBDIRS = src po
190 desktopdir = $(datadir)/applications
191 desktop_DATA = lxsession-edit.desktop
192
193 #@INTLTOOL_DESKTOP_RULE@
194 DISTCLEANFILES = lxsession-edit.desktop
195
196 #icondir = $(datadir)/share/icons/hicolor/128x128
197 #icon_DATA = pcmanfm.png
198 uidir = $(datadir)/lxsession-edit
199 # GtkBuilder UI definition files
200 ui_in_files = \
201 data/lxsession-edit.glade
202
203 ui_DATA = $(ui_in_files:.glade=.ui)
204 EXTRA_DIST = \
205 autogen.sh \
206 lxsession-edit.desktop.in \
207 $(ui_DATA)
208
209 CLEANFILES = \
210 $(ui_DATA)
211
212 all: config.h
213 $(MAKE) $(AM_MAKEFLAGS) all-recursive
214
215 .SUFFIXES:
216 am--refresh:
217 @:
218 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
219 @for dep in $?; do \
220 case '$(am__configure_deps)' in \
221 *$$dep*) \
222 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
223 cd $(srcdir) && $(AUTOMAKE) --gnu \
224 && exit 0; \
225 exit 1;; \
226 esac; \
227 done; \
228 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
229 cd $(top_srcdir) && \
230 $(AUTOMAKE) --gnu Makefile
231 .PRECIOUS: Makefile
232 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
233 @case '$?' in \
234 *config.status*) \
235 echo ' $(SHELL) ./config.status'; \
236 $(SHELL) ./config.status;; \
237 *) \
238 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
239 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
240 esac;
241
242 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
243 $(SHELL) ./config.status --recheck
244
245 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
246 cd $(srcdir) && $(AUTOCONF)
247 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
248 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
249
250 config.h: stamp-h1
251 @if test ! -f $@; then \
252 rm -f stamp-h1; \
253 $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
254 else :; fi
255
256 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
257 @rm -f stamp-h1
258 cd $(top_builddir) && $(SHELL) ./config.status config.h
259 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
260 cd $(top_srcdir) && $(AUTOHEADER)
261 rm -f stamp-h1
262 touch $@
263
264 distclean-hdr:
265 -rm -f config.h stamp-h1
266 lxsession-edit.desktop: $(top_builddir)/config.status $(srcdir)/lxsession-edit.desktop.in
267 cd $(top_builddir) && $(SHELL) ./config.status $@
268 install-desktopDATA: $(desktop_DATA)
269 @$(NORMAL_INSTALL)
270 test -z "$(desktopdir)" || $(MKDIR_P) "$(DESTDIR)$(desktopdir)"
271 @list='$(desktop_DATA)'; for p in $$list; do \
272 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
273 f=$(am__strip_dir) \
274 echo " $(desktopDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(desktopdir)/$$f'"; \
275 $(desktopDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(desktopdir)/$$f"; \
276 done
277
278 uninstall-desktopDATA:
279 @$(NORMAL_UNINSTALL)
280 @list='$(desktop_DATA)'; for p in $$list; do \
281 f=$(am__strip_dir) \
282 echo " rm -f '$(DESTDIR)$(desktopdir)/$$f'"; \
283 rm -f "$(DESTDIR)$(desktopdir)/$$f"; \
284 done
285 install-uiDATA: $(ui_DATA)
286 @$(NORMAL_INSTALL)
287 test -z "$(uidir)" || $(MKDIR_P) "$(DESTDIR)$(uidir)"
288 @list='$(ui_DATA)'; for p in $$list; do \
289 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
290 f=$(am__strip_dir) \
291 echo " $(uiDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(uidir)/$$f'"; \
292 $(uiDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(uidir)/$$f"; \
293 done
294
295 uninstall-uiDATA:
296 @$(NORMAL_UNINSTALL)
297 @list='$(ui_DATA)'; for p in $$list; do \
298 f=$(am__strip_dir) \
299 echo " rm -f '$(DESTDIR)$(uidir)/$$f'"; \
300 rm -f "$(DESTDIR)$(uidir)/$$f"; \
301 done
302
303 # This directory's subdirectories are mostly independent; you can cd
304 # into them and run `make' without going through this Makefile.
305 # To change the values of `make' variables: instead of editing Makefiles,
306 # (1) if the variable is set in `config.status', edit `config.status'
307 # (which will cause the Makefiles to be regenerated when you run `make');
308 # (2) otherwise, pass the desired values on the `make' command line.
309 $(RECURSIVE_TARGETS):
310 @failcom='exit 1'; \
311 for f in x $$MAKEFLAGS; do \
312 case $$f in \
313 *=* | --[!k]*);; \
314 *k*) failcom='fail=yes';; \
315 esac; \
316 done; \
317 dot_seen=no; \
318 target=`echo $@ | sed s/-recursive//`; \
319 list='$(SUBDIRS)'; for subdir in $$list; do \
320 echo "Making $$target in $$subdir"; \
321 if test "$$subdir" = "."; then \
322 dot_seen=yes; \
323 local_target="$$target-am"; \
324 else \
325 local_target="$$target"; \
326 fi; \
327 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
328 || eval $$failcom; \
329 done; \
330 if test "$$dot_seen" = "no"; then \
331 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
332 fi; test -z "$$fail"
333
334 $(RECURSIVE_CLEAN_TARGETS):
335 @failcom='exit 1'; \
336 for f in x $$MAKEFLAGS; do \
337 case $$f in \
338 *=* | --[!k]*);; \
339 *k*) failcom='fail=yes';; \
340 esac; \
341 done; \
342 dot_seen=no; \
343 case "$@" in \
344 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
345 *) list='$(SUBDIRS)' ;; \
346 esac; \
347 rev=''; for subdir in $$list; do \
348 if test "$$subdir" = "."; then :; else \
349 rev="$$subdir $$rev"; \
350 fi; \
351 done; \
352 rev="$$rev ."; \
353 target=`echo $@ | sed s/-recursive//`; \
354 for subdir in $$rev; do \
355 echo "Making $$target in $$subdir"; \
356 if test "$$subdir" = "."; then \
357 local_target="$$target-am"; \
358 else \
359 local_target="$$target"; \
360 fi; \
361 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
362 || eval $$failcom; \
363 done && test -z "$$fail"
364 tags-recursive:
365 list='$(SUBDIRS)'; for subdir in $$list; do \
366 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
367 done
368 ctags-recursive:
369 list='$(SUBDIRS)'; for subdir in $$list; do \
370 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
371 done
372
373 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
374 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
375 unique=`for i in $$list; do \
376 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
377 done | \
378 $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
379 END { if (nonempty) { for (i in files) print i; }; }'`; \
380 mkid -fID $$unique
381 tags: TAGS
382
383 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
384 $(TAGS_FILES) $(LISP)
385 tags=; \
386 here=`pwd`; \
387 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
388 include_option=--etags-include; \
389 empty_fix=.; \
390 else \
391 include_option=--include; \
392 empty_fix=; \
393 fi; \
394 list='$(SUBDIRS)'; for subdir in $$list; do \
395 if test "$$subdir" = .; then :; else \
396 test ! -f $$subdir/TAGS || \
397 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
398 fi; \
399 done; \
400 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
401 unique=`for i in $$list; do \
402 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
403 done | \
404 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
405 END { if (nonempty) { for (i in files) print i; }; }'`; \
406 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
407 test -n "$$unique" || unique=$$empty_fix; \
408 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
409 $$tags $$unique; \
410 fi
411 ctags: CTAGS
412 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
413 $(TAGS_FILES) $(LISP)
414 tags=; \
415 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
416 unique=`for i in $$list; do \
417 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
418 done | \
419 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
420 END { if (nonempty) { for (i in files) print i; }; }'`; \
421 test -z "$(CTAGS_ARGS)$$tags$$unique" \
422 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
423 $$tags $$unique
424
425 GTAGS:
426 here=`$(am__cd) $(top_builddir) && pwd` \
427 && cd $(top_srcdir) \
428 && gtags -i $(GTAGS_ARGS) $$here
429
430 distclean-tags:
431 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
432
433 distdir: $(DISTFILES)
434 $(am__remove_distdir)
435 test -d $(distdir) || mkdir $(distdir)
436 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
437 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
438 list='$(DISTFILES)'; \
439 dist_files=`for file in $$list; do echo $$file; done | \
440 sed -e "s|^$$srcdirstrip/||;t" \
441 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
442 case $$dist_files in \
443 */*) $(MKDIR_P) `echo "$$dist_files" | \
444 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
445 sort -u` ;; \
446 esac; \
447 for file in $$dist_files; do \
448 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
449 if test -d $$d/$$file; then \
450 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
451 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
452 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
453 fi; \
454 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
455 else \
456 test -f $(distdir)/$$file \
457 || cp -p $$d/$$file $(distdir)/$$file \
458 || exit 1; \
459 fi; \
460 done
461 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
462 if test "$$subdir" = .; then :; else \
463 test -d "$(distdir)/$$subdir" \
464 || $(MKDIR_P) "$(distdir)/$$subdir" \
465 || exit 1; \
466 distdir=`$(am__cd) $(distdir) && pwd`; \
467 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
468 (cd $$subdir && \
469 $(MAKE) $(AM_MAKEFLAGS) \
470 top_distdir="$$top_distdir" \
471 distdir="$$distdir/$$subdir" \
472 am__remove_distdir=: \
473 am__skip_length_check=: \
474 distdir) \
475 || exit 1; \
476 fi; \
477 done
478 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
479 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
480 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
481 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
482 || chmod -R a+r $(distdir)
483 dist-gzip: distdir
484 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
485 $(am__remove_distdir)
486
487 dist-bzip2: distdir
488 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
489 $(am__remove_distdir)
490
491 dist-lzma: distdir
492 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
493 $(am__remove_distdir)
494
495 dist-tarZ: distdir
496 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
497 $(am__remove_distdir)
498
499 dist-shar: distdir
500 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
501 $(am__remove_distdir)
502
503 dist-zip: distdir
504 -rm -f $(distdir).zip
505 zip -rq $(distdir).zip $(distdir)
506 $(am__remove_distdir)
507
508 dist dist-all: distdir
509 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
510 $(am__remove_distdir)
511
512 # This target untars the dist file and tries a VPATH configuration. Then
513 # it guarantees that the distribution is self-contained by making another
514 # tarfile.
515 distcheck: dist
516 case '$(DIST_ARCHIVES)' in \
517 *.tar.gz*) \
518 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
519 *.tar.bz2*) \
520 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
521 *.tar.lzma*) \
522 unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
523 *.tar.Z*) \
524 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
525 *.shar.gz*) \
526 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
527 *.zip*) \
528 unzip $(distdir).zip ;;\
529 esac
530 chmod -R a-w $(distdir); chmod a+w $(distdir)
531 mkdir $(distdir)/_build
532 mkdir $(distdir)/_inst
533 chmod a-w $(distdir)
534 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
535 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
536 && cd $(distdir)/_build \
537 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
538 $(DISTCHECK_CONFIGURE_FLAGS) \
539 && $(MAKE) $(AM_MAKEFLAGS) \
540 && $(MAKE) $(AM_MAKEFLAGS) dvi \
541 && $(MAKE) $(AM_MAKEFLAGS) check \
542 && $(MAKE) $(AM_MAKEFLAGS) install \
543 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
544 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
545 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
546 distuninstallcheck \
547 && chmod -R a-w "$$dc_install_base" \
548 && ({ \
549 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
550 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
551 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
552 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
553 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
554 } || { rm -rf "$$dc_destdir"; exit 1; }) \
555 && rm -rf "$$dc_destdir" \
556 && $(MAKE) $(AM_MAKEFLAGS) dist \
557 && rm -rf $(DIST_ARCHIVES) \
558 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
559 $(am__remove_distdir)
560 @(echo "$(distdir) archives ready for distribution: "; \
561 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
562 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
563 distuninstallcheck:
564 @cd $(distuninstallcheck_dir) \
565 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
566 || { echo "ERROR: files left after uninstall:" ; \
567 if test -n "$(DESTDIR)"; then \
568 echo " (check DESTDIR support)"; \
569 fi ; \
570 $(distuninstallcheck_listfiles) ; \
571 exit 1; } >&2
572 distcleancheck: distclean
573 @if test '$(srcdir)' = . ; then \
574 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
575 exit 1 ; \
576 fi
577 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
578 || { echo "ERROR: files left in build directory after distclean:" ; \
579 $(distcleancheck_listfiles) ; \
580 exit 1; } >&2
581 check-am: all-am
582 check: check-recursive
583 all-am: Makefile $(DATA) config.h
584 installdirs: installdirs-recursive
585 installdirs-am:
586 for dir in "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(uidir)"; do \
587 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
588 done
589 install: install-recursive
590 install-exec: install-exec-recursive
591 install-data: install-data-recursive
592 uninstall: uninstall-recursive
593
594 install-am: all-am
595 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
596
597 installcheck: installcheck-recursive
598 install-strip:
599 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
600 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
601 `test -z '$(STRIP)' || \
602 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
603 mostlyclean-generic:
604
605 clean-generic:
606 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
607
608 distclean-generic:
609 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
610 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
611
612 maintainer-clean-generic:
613 @echo "This command is intended for maintainers to use"
614 @echo "it deletes files that may require special tools to rebuild."
615 clean: clean-recursive
616
617 clean-am: clean-generic mostlyclean-am
618
619 distclean: distclean-recursive
620 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
621 -rm -f Makefile
622 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
623
624 dvi: dvi-recursive
625
626 dvi-am:
627
628 html: html-recursive
629
630 info: info-recursive
631
632 info-am:
633
634 install-data-am: install-desktopDATA install-uiDATA
635
636 install-dvi: install-dvi-recursive
637
638 install-exec-am:
639
640 install-html: install-html-recursive
641
642 install-info: install-info-recursive
643
644 install-man:
645
646 install-pdf: install-pdf-recursive
647
648 install-ps: install-ps-recursive
649
650 installcheck-am:
651
652 maintainer-clean: maintainer-clean-recursive
653 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
654 -rm -rf $(top_srcdir)/autom4te.cache
655 -rm -f Makefile
656 maintainer-clean-am: distclean-am maintainer-clean-generic
657
658 mostlyclean: mostlyclean-recursive
659
660 mostlyclean-am: mostlyclean-generic
661
662 pdf: pdf-recursive
663
664 pdf-am:
665
666 ps: ps-recursive
667
668 ps-am:
669
670 uninstall-am: uninstall-desktopDATA uninstall-uiDATA
671
672 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
673 install-strip
674
675 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
676 all all-am am--refresh check check-am clean clean-generic \
677 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
678 dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
679 distclean-generic distclean-hdr distclean-tags distcleancheck \
680 distdir distuninstallcheck dvi dvi-am html html-am info \
681 info-am install install-am install-data install-data-am \
682 install-desktopDATA install-dvi install-dvi-am install-exec \
683 install-exec-am install-html install-html-am install-info \
684 install-info-am install-man install-pdf install-pdf-am \
685 install-ps install-ps-am install-strip install-uiDATA \
686 installcheck installcheck-am installdirs installdirs-am \
687 maintainer-clean maintainer-clean-generic mostlyclean \
688 mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
689 uninstall uninstall-am uninstall-desktopDATA uninstall-uiDATA
690
691
692 # Generate GtkBuilder UI files from Glade files
693 %.ui: %.glade
694 $(GTK_BUILDER_CONVERT) $< $@
695 $(top_builddir)/src/xml-purge $@
696 # Tell versions [3.59,3.63) of GNU make to not export all variables.
697 # Otherwise a system limit (for SysV at least) may be exceeded.
698 .NOEXPORT: